package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc合作单位对象 cmc_partner
 *
 * @author cmc
 * @date 2024-06-12
 */
public class CmcPartner extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合作单位id */
    private String partnerId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String partnerName;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contactPerson;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String telephone;

    /** 资质等级 */
    @Excel(name = "资质等级")
    private String qualification;

    /** 内业规模 */
    @Excel(name = "内业规模")
    private Long inWorker;

    /** 外业规模 */
    @Excel(name = "外业规模")
    private Long outWorker;

    /** 主要技术装备 */
    @Excel(name = "主要技术装备")
    private String equipment;

    /** 擅长业务方向 */
    @Excel(name = "擅长业务方向")
    private String strength;

    /** 履约能力评价 */
    @Excel(name = "履约能力评价")
    private String fulfill;

    public void setPartnerId(String partnerId)
    {
        this.partnerId = partnerId;
    }

    public String getPartnerId()
    {
        return partnerId;
    }
    public void setPartnerName(String partnerName)
    {
        this.partnerName = partnerName;
    }

    public String getPartnerName()
    {
        return partnerName;
    }
    public void setContactPerson(String contactPerson)
    {
        this.contactPerson = contactPerson;
    }

    public String getContactPerson()
    {
        return contactPerson;
    }
    public void setTelephone(String telephone)
    {
        this.telephone = telephone;
    }

    public String getTelephone()
    {
        return telephone;
    }
    public void setQualification(String qualification)
    {
        this.qualification = qualification;
    }

    public String getQualification()
    {
        return qualification;
    }
    public void setInWorker(Long inWorker)
    {
        this.inWorker = inWorker;
    }

    public Long getInWorker()
    {
        return inWorker;
    }
    public void setOutWorker(Long outWorker)
    {
        this.outWorker = outWorker;
    }

    public Long getOutWorker()
    {
        return outWorker;
    }
    public void setEquipment(String equipment)
    {
        this.equipment = equipment;
    }

    public String getEquipment()
    {
        return equipment;
    }
    public void setStrength(String strength)
    {
        this.strength = strength;
    }

    public String getStrength()
    {
        return strength;
    }
    public void setFulfill(String fulfill)
    {
        this.fulfill = fulfill;
    }

    public String getFulfill()
    {
        return fulfill;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("partnerId", getPartnerId())
                .append("partnerName", getPartnerName())
                .append("contactPerson", getContactPerson())
                .append("telephone", getTelephone())
                .append("qualification", getQualification())
                .append("inWorker", getInWorker())
                .append("outWorker", getOutWorker())
                .append("equipment", getEquipment())
                .append("strength", getStrength())
                .append("fulfill", getFulfill())
                .append("remark", getRemark())
                .toString();
    }
}
